<br/>
<br/>
<br/>
<br/>
<br/>
<br/>
<br/>
<br/>
<form [formGroup]="formDataBuild" (ngSubmit)="onSubmit()">
  <label for="fname">First name:</label><br>
  <input type="text" name="firstName" formControlName="firstName">
  <br>
  <br>
  <label for="lname">Last name:</label><br>
  <input type="text" name="lastName" formControlName="lastName">
  <br>
  <br>
  <input type="submit" [disabled]="!formDataBuild.valid" value="Submit">
</form> 
